Bug 675093 - (CVE-2011-0057) CVE-2011-0057 Mozilla use-after-free error using Web Workers (MFSA 2011-06)
CVE-2011-0057 Mozilla use-after-free error using Web Workers (MFSA 2011-06)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110301,reported=20110204,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 04:35 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-02-04 04:35:38 EST
Daniel Kozlowski reported that a JavaScript Worker could be 
used to keep a reference to an object that could be freed during 
garbage collection. Subsequent calls through this deleted 
reference could cause attacker-controlled memory to be executed 
on a victim's computer.
Comment 1 Vincent Danen 2011-03-01 18:23:09 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-06.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:13 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html

Note You need to log in before you can comment on or make changes to this bug.